使用版本控制工具

為了讓其他人能成功地開發或使用你的 package,你必須確保所有必要的檔案都提交到你的版本控制系統中。

必要檔案

為了能夠讓其他人使用你的 package,以下檔案必須被提交進版本控制系統:

  • package.json:包含 package 的 dependency 們。
  • yarn.lock:記錄你的 package 每一個 dependency 的確切版本資訊。
  • 能夠實現功能的程式碼。

請參閱 Yarn Example Package 來瞭解一個可以用的 Yarn package 的最低需求。